<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="6dp"
    android:layout_marginTop="12dp"
    android:layout_marginRight="6dp"
    android:paddingBottom="9dp"
    android:background="@drawable/bg_white_10dp">


    <ImageView
        android:id="@+id/im_pic"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_95"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:qmui_corner_radius="5dp" />

    <TextView
        android:id="@+id/tv_course_status_tip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="9dp"
        android:background="@drawable/shape_d5fff7_9dp_right"
        android:gravity="center"
        android:paddingStart="4dp"
        android:paddingTop="2dp"
        android:paddingEnd="7dp"
        android:paddingBottom="2dp"
        android:text="已上架"
        android:textColor="@color/color_2dc7aa"
        android:textSize="@dimen/sp_10"
        android:visibility="visible"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="@+id/im_pic"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/course_name"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_13"
        android:layout_marginEnd="@dimen/dp_5"
        android:layout_marginBottom="@dimen/dp_7"
        android:background="@drawable/gray_1_radius_bg"
        android:gravity="center"
        android:paddingLeft="@dimen/dp_4"
        android:paddingRight="@dimen/dp_4"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_9"
        app:layout_constraintBottom_toBottomOf="@+id/im_pic"
        app:layout_constraintRight_toRightOf="@+id/im_pic" />

    <TextView
        android:lines="2"
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="11dp"
        android:layout_marginTop="5dp"
        android:layout_marginEnd="11dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="2"
        android:text="从零开始学竖笛视频课"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_14"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/im_pic" />


    <TextView
        android:id="@+id/tv_price"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="11dp"
        android:layout_marginTop="6dp"
        android:text="￥120"
        android:textColor="@color/color_ff0000"
        android:textSize="@dimen/sp_14"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_title" />

    <TextView
        android:id="@+id/tv_price_unit"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="11dp"
        android:paddingStart="7dp"
        android:text="/4课时"
        android:textColor="@color/color_999999"
        android:textSize="@dimen/sp_14"
        app:layout_constraintBaseline_toBaselineOf="@+id/tv_price"
        app:layout_constraintLeft_toRightOf="@+id/tv_price" />

    <TextView
        android:id="@+id/tv_buy_num"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="11dp"
        android:layout_marginTop="5dp"
        android:includeFontPadding="false"
        android:text="0人已购买"
        android:textColor="@color/color_ff802c"
        android:textSize="@dimen/sp_11"
        android:visibility="visible"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_price"
        tools:text="6人已购买" />

</androidx.constraintlayout.widget.ConstraintLayout>